This API v3 documentation is currently still on progress. For any issue, please contact support@runcloud.io
Authorization: Bearer ********************curl --location -g --request GET 'https://manage.runcloud.io/api/v3/servers/{{serverId}}/webapps/{{webappId}}/waf/rules?perPage=15' \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 30712,
"operation": "block",
"field": "country",
"operator": "eq",
"value": "AX",
"ruleId": null,
"isEnabled": true,
"created_at": "2026-03-10T01:54:17.000000Z",
"updated_at": "2026-03-10T01:54:17.000000Z"
},
{
"id": 30713,
"operation": "block",
"field": "hostname",
"operator": "eq",
"value": "test.com",
"ruleId": null,
"isEnabled": true,
"created_at": "2026-03-10T01:57:35.000000Z",
"updated_at": "2026-03-10T01:57:35.000000Z"
}
],
"meta": {
"pagination": {
"total": 2,
"count": 2,
"per_page": 15,
"current_page": 1,
"total_pages": 1,
"links": {}
}
}
}